API ReferenceStorefront
Pages Partial Update
Partially update an existing page.
Authorization
oauth2 content:writeAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: content:write
Path Parameters
id*integer
A unique integer value identifying this flat page.
Header Parameters
X-29next-API-Version*"2024-04-01"
Default
"2024-04-01"Value in
- "2024-04-01"
Response Body
application/json
curl -X PATCH "https://example.com/pages/0/" \ -H "X-29next-API-Version: 2024-04-01" \ -H "Content-Type: application/json" \ -d '{}'{ "content": "string", "id": 0, "meta_description": "string", "meta_title": "string", "metadata": null, "slug": "string", "template": "string", "title": "string"}